*D0-FILE_1

* TREATMENT TESTING AND THE POWER COMMAND IN STATA

* USE THE COMMAND cd "drive\folder_name" TO CHANGE THE WORKING FOLDER TO
* THE FOLDER IN WHICH THE DATA SETS ARE STORED

* INSTALL THE  USER-WRITTEN COMMAND: cdfplot
* TO INSTALL IT, START BY USING findit cdfplot


clear
set more off


* TREATMENT TESTING 

* BETWEEN-SUBJECT TESTS

use Isoni_1, clear

tab v_type

hist v_mug if v_type==0, saving(Fig1a, replace) xlabel(0(1)8) xtitle("WTP") freq width(1) xline(3.0) ylabel(0(5)20) normal
hist v_mug if v_type==1, saving(Fig1b, replace) xlabel(0(1)8) xtitle("WTA") freq width(1) xline(3.0) ylabel(0(5)20) normal

graph combine Fig1a.gph Fig1b.gph, cols(1)

sdtest v_mug, by(v_type)

ttest v_mug, by(v_type) 
ttest v_mug, by(v_type) unequal

sktest v_mug if v_type==0
sktest v_mug if v_type==1

ranksum v_mug, by(v_type)


 
cdfplot v_mug, by(v_type) opt1(lp(line dash)) xlabel(1(1)8)

ksmirnov v_mug, by(v_type)

* WITHIN-SUBJECT TESTS

use Isoni_2, clear

ttest WTA=WTP
signrank WTA=WTP
signtest WTA=WTP

* POWER ANALYSIS: HYPOTHETICAL EXAMPLE

power onemean 10 12, sd(5) n(30) oneside

power onemean 10 12, sd(5) p(0.8) oneside

power onemean 10 (10.5(0.5)12.5), sd(5) n(20(10)200) oneside graph

power onemean 10 (10.5(0.25)12.5), sd(5) p(0.6(0.1)0.9)  oneside graph

power twomeans 10 12 , sd1(4.0) sd2(5.84) oneside p(0.8)

power twomeans 10 12 , sd1(4.0) sd2(5.84) n(20(10)200) oneside  graph

power pairedmeans 10 12 , sd1(4.0) sd2(5.84) corr(0) oneside 

power pairedmeans 10 12 , sd1(4.0) sd2(5.84) corr(0.5) oneside 

**POWER ANALYSIS: REAL APPLICATION

power twomeans 1.86 2.21 , n1(49) n2(51) sd1(1.29) sd2(1.80) oneside
power twomeans 1.86 2.21 , n(10(10)200) sd1(1.29) sd2(1.80) oneside graph

power twomeans 1.86 2.21 , sd1(1.29) sd2(1.80) oneside power(0.8)
power twomeans 1.86 2.21 , sd1(1.29) sd2(1.80) oneside power(0.10(0.10)0.90) graph

power twovariances 1.66 3.24, n1(49) n2(51)
power twovariances 1.66 3.24, p(0.8)

power pairedmeans 2.57 2.24 , sd1(0.96) sd2(1.11) corr(0) n(100) oneside
power pairedmeans 2.57 2.24 , sd1(0.96) sd2(1.11) corr(0) p(0.80) oneside
power pairedmeans 2.57 2.24 , sd1(0.96) sd2(1.11) corr(0.10) p(0.80) oneside
