

* PART 4: SOCIAL PREFERENCE MODELS

*  THE ANDREONI-MILLER DATA

use garp, clear
set more off

scatter x2 x1, msize(0.3) jitter(1)

lowess p2x2 m

lowess x2 p2, saving(self, replace)
lowess x2 p1, saving(other, replace)

graph combine self.gph other.gph

erase self.gph 
erase other.gph

regress x2 p2 p1, vce(cluster i)
regress x2 p2 p1 m, vce(cluster i)

tobit x2 p2 p1 m, vce(cluster i) ll(0)

xtset i t

xttobit x2 p2 p1 m, ll(0)

*  ESTIMATING THE PARAMETERS OF A CES UTILITY FUNCTION

nl (w1 = (p1^({rho}/({rho}-1)))/((p1^({rho}/({rho}-1)))  ///
+(({aa}/(1-{aa}))^(1/({rho}-1)))*(p2^({rho}/({rho}-1))))), ///
initial(rho 0.0 aa 0.5) vce(cluster i)

* USE DELTA METHOD TO ESTIMATE ELASTICITY OF SUBSTITUTION

nlcom sigma: 1/(1- _b[/rho])




*  ESTIMATION OF SOCIAL PREFERENCE PARAMETERS USING DISCRETE CHOICE MODELS

use ES_sim, clear

asclogit y FSD FSA EFF MM, case( i) alternatives(j) noconstant

asclogit y  FSD male_FSD FSA male_FSA EFF MM  , case( i) alternatives(j) noconstant


